Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class ProfileMonitor

    java.lang.Object
      avrora.monitors.MonitorFactory
          avrora.monitors.ProfileMonitor

public class ProfileMonitor
extends MonitorFactory

The `ProfileMonitor` class represents a monitor that can collect profiling information such as counts and branchcounts about the program as it executes.

Nested Class Summary
`class` | `ProfileMonitor.Monitor` The `Monitor` class implements the monitor for the profiler.

Field Summary

Fields inherited from class avrora.monitors.MonitorFactory
`help, options, shortName`

Constructor Summary
`ProfileMonitor()` The constructor for the `ProfileMonitor` class creates a factory that is capable of producing profile monitors for each simulator passed.

Method Summary
`Monitor` | `newMonitor(Simulator s)` The `newMonitor()` method creates a new monitor for the given simulator that is capable of collecting performance information as the program executes.

Methods inherited from class avrora.monitors.MonitorFactory
`getShortName, processOptions, reportQuantity, reportQuantity, reportQuantity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileMonitor

    public ProfileMonitor()

  The constructor for the `ProfileMonitor` class creates a factory that is capable of producing profile monitors for each simulator passed.

Method Detail

### newMonitor

    public Monitor newMonitor(Simulator s)

  The `newMonitor()` method creates a new monitor for the given simulator that is capable of collecting performance information as the program executes.

  Specified by:
    `newMonitor` in class `MonitorFactory`
  Parameters:
    `s` - the simulator to create the monitor for
  Returns:
    an instance of the `Monitor` interface that tracks performance information from the program

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD